<script lang="ts">
  import { onMount } from 'svelte';
  import { Gql } from '@db';
  import { EventCfgByIdQuery } from '@models/EventConfigurations';
  import type { EventConfiguration } from '@models/EventConfigurations';
  import { eventId } from "@stores";
  import { requireEventStarted } from '@auth/PermissionRequired';

  export let eventName = 'Event';
  const ready = requireEventStarted();
  const videos = [
    '/assets/media/madhacks/cyberwar-hack.webm',
    '/assets/media/madhacks/hack-the-planet.webm',
    '/assets/media/madhacks/hack-time.webm',
    '/assets/media/madhacks/hackers-in-the-mainframe.webm',
    '/assets/media/madhacks/hacking-in-progress.webm',
  ];
  const video = videos[Math.floor(Math.random() * videos.length)];

  onMount(async () => {
    const eventConfiguration = (
      await Gql.query<{ events_by_pk: EventConfiguration }>(`query ${EventCfgByIdQuery($eventId)}`)
    ).events_by_pk;
    console.log(eventConfiguration);
    if (eventConfiguration?.name) eventName = eventConfiguration.name;
  });
</script>

<svelte:head>
  <title>{eventName} - Get Hacking!</title>
</svelte:head>

{#await ready}
  <p>Loading...</p>
{:then ev}
  <div class="jumbotron text-center">
    <h1 class="text-white">
      Welcome to
      <br />
      {eventName}
    </h1>

    <div>
      <video class="mw-100" autoplay loop muted playsinline>
        <source src={video} type="video/webm" />
      </video>
    </div>
    <br /><br />
    <span class="pull-right">Powered by C2Games</span>
  </div>
{/await}
